Create user

Creates a new user in the organization.


Note: All newly provisioned users are added to the default team.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
schemas
array of strings

Identifies which schema(s) this resource uses. In this case it is the SCIM core User schema.

schemas
Allowed:
string
required

The unique username/login identifier. An email address in this case.

Note: Payload must include the userName attribute populated with an email address

User is created with this email address in the organization. This attribute will be used as full name of the created user if the displayName or name attribute is not provided.

name
object

Structured object for the person’s name. This includes the family name (last name), and given name (first name).

string

A human-readable name for the user, typically the full name. This attribute is used if the value is not empty.

Maximum length: 60 characters

string

Free-form string to indicate the user license type in the organization.

Only supported values for license types are allowed. Supported license types can vary per organization. An organization can have one or more of the following license type values: Full, Free, Free Restricted, Full (Trial), Basic, Standard, Advanced.

Note: When userType is specified, the userType license is set per the value provided. When userType is not specified, the user license is set according to internal Miro logic, which depends on the organization plan.

boolean

Indicates whether the user is active or deactivated in the organization.

photos
array of objects

An array of display picture for the user in the organization. Contains photo value and type.

Notes: Must be a text URL to the image. Supported file types: jpg, jpeg, bmp, png, gif.

To define file type, you should have defined file extension in url (e.g. https://host.com/avatar_user1.jpg) or request to url should return together with a file content a header Content-Type (e.g. Content-Type = image/jpeg)

Maximum file size to download is: 31457280 bytes.

Example (Okta): photos.^[type==photo].value
Example (Azure): photos[type eq "photo"].value

photos
roles
array of objects

An array of roles assigned to the user in the organization. Contains role value, display, type, and primary flag.

organization_user_role supported values include: ORGANIZATION_INTERNAL_ADMIN and ORGANIZATION_INTERNAL_USER. organization_admin_role supported values include: Content Admin, User Admin, Security Admin, or names of custom admin roles.

Example (Okta) for organization_user_role: roles.^[primary==true].value
Example (Azure) for organization_user_role: roles[primary eq "True"].value
Example (Okta) for organization_admin_role: roles.^[primary==false].value
Example (Azure) for organization_admin_role: roles[primary eq "False"].value

roles
string

Specifies the user's preferred language.

Example: en_US for English.

urn:ietf:params:scim:schemas:extension:enterprise:2.0:User
object

Enterprise User extension schema.

Headers
string
enum
Defaults to application/scim+json

Generated from available response content types

Allowed:
string
enum
Defaults to application/scim+json

Generated from available request content types

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/scim+json
application/json